package app

import (
	"backend/app/controller"
	"backend/app/middleware"
	//"backend/model"
)

func addRoutes() {
	api := e.Group("api")
	api.Use(middleware.Auth)
	api.GET("/ping", controller.Ping)
	api.POST("/passwd",controller.AskPasswd) // 密码，返回cookie
	api.POST("/file/recv",controller.RecvFile)//  接收文件
	api.POST("/file/send",controller.SendFile)
	api.POST("/text/recv",controller.RecvText)
	api.POST("/text/send",controller.RecvText)
}
